> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Fireblocks Stablecoin Payroll Connection

> Tests Fireblocks connectivity with a caller-supplied API key and the org's stored secret key.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/test-fireblocks-stablecoin-payroll-connection
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/test-fireblocks-stablecoin-payroll-connection:
    post:
      operationId: testFireblocksStablecoinPayrollConnection
      summary: Test Fireblocks Stablecoin Payroll Connection
      description: >-
        Tests Fireblocks connectivity with a caller-supplied API key and the
        org's stored secret key.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/TestFireblocksStablecoinPayrollConnectionRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/TestFireblocksStablecoinPayrollConnectionResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    TestFireblocksStablecoinPayrollConnectionRequest:
      type: object
      properties:
        fireblocksApiKey:
          type: string
          minLength: 1
      required:
        - fireblocksApiKey
    TestFireblocksStablecoinPayrollConnectionResponse:
      type: object
      properties:
        success:
          type: boolean
        error:
          type: string
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
